/*
** Module   : Dereferenceable.java
** Abstract : An interface for handles supporting deferenciation (:: operator).
**
** Copyright (c) 2013, Golden Code Development Corporation.
** ALL RIGHTS RESERVED. Use is subject to license terms.
**
**           Golden Code Development Corporation
**                      CONFIDENTIAL
**
** -#- -I- --Date-- -----------------------Description------------------------
** 001 OM  20130220 Created initial version.
*/

package com.goldencode.p2j.util;

public interface Dereferenceable
{
   
   /**
    * Dereference a named member from this collection.
    *  
    * @param   memberName
    *          The name of the member to be extracted.
    *
    * @return  The value of the member or unknown (?) if there is no such member.
    */
   public BaseDataType dereference(String memberName);
}
